Runtime

## org.eclipse.gmf.runtime.common.ui.services.action.global
Class AbstractGlobalActionHandler

    java.lang.Object
      org.eclipse.gmf.runtime.common.ui.services.action.global.AbstractGlobalActionHandler

All Implemented Interfaces:
  IGlobalActionHandler

Direct Known Subclasses:
  AbstractDiagramGlobalActionProxy, DiagramGlobalActionHandler, DiagramIDEGlobalActionHandler, OpenFileGlobalActionHandler, ResourceGlobalActionHandler, RevertGlobalActionHandler

public abstract class AbstractGlobalActionHandler
extends java.lang.Object
implements IGlobalActionHandler

The abstract parent of all concrete global action handlers. A concrete handler needs to override the `getCommand()` and `canHandle()` methods. This class implements the `IGlobalActionHandler` interface. It provides access to the `IGlobalActionContext` to its decendents.

Constructor Summary
`AbstractGlobalActionHandler()` Creates an AbstractGlobalActionHandler.

Method Summary
`java.lang.String` `getLabel(IGlobalActionContext cntxt)` Gets the label for this global action, given the context.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.common.ui.services.action.global.IGlobalActionHandler
`canHandle, getCommand`

Constructor Detail

### AbstractGlobalActionHandler

    public AbstractGlobalActionHandler()

  Creates an AbstractGlobalActionHandler.

Method Detail

### getLabel

    public java.lang.String getLabel(IGlobalActionContext cntxt)

  Description copied from interface: `IGlobalActionHandler`
  Gets the label for this global action, given the context. Returns `null` if the default global action label should be used.

  Specified by:
    `getLabel` in interface `IGlobalActionHandler`
  Parameters:
    `cntxt` - the global action context
  Returns:
    the global action label, or `null` if the default label should be used.

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.